<?


include_once 'sys/inc/start.php';


include_once 'sys/inc/compress.php';


include_once 'sys/inc/sess.php';


include_once 'sys/inc/home.php';


include_once 'sys/inc/settings.php';


include_once 'sys/inc/db_connect.php';


include_once 'sys/inc/ipua.php';


include_once 'sys/inc/fnc.php';


include_once 'sys/inc/user.php';


only_reg();





$ank['id'] = $user['id'];


if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);


$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");


if (mysql_num_rows($q)==0){header("Location: index.php?".SID);exit;}





$ank = mysql_fetch_array($q);





$set['title'] = 'Черный список '.$ank['nick'].'';


include_once 'sys/inc/thead.php';


title();


aut();











$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `blacklist` WHERE `user` = '$ank[id]'"), 0);





if ($k_post==0)


{


echo 'У обитателя '.$ank['nick'].' черный список пуст';


}








$k_page=k_page($k_post,$set['p_str']);


$page=page($k_page);


$start=$set['p_str']*$page-$set['p_str'];








$q = mysql_query("SELECT * FROM `blacklist` WHERE `user` = '$ank[id]' ORDER BY time DESC LIMIT $start, $set[p_str]");


while ($f = mysql_fetch_array($q))


{


	$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[lol]' LIMIT 1"));


if($num==1){ 


echo "<div class='main_menu'>"; 


$num=0;


}else{ 


echo "<div class='rowup'>"; 


$num=1;}


echo "".online($a['id'])." \n";


echo "<a href='/info.php?id=$a[id]'>$a[nick]</a>\n";



    	echo ' <span class="ank_n">('.vremja($f['time']).')</span><br />';


	if ($ank['id']==$user['id'])echo '<a href="blacklist_new.php?del='.$a['id'].'">Удалить из черного списка</a>';


echo "</div>";





}








if ($k_page>1)str("?id=$ank[id]&",$k_page,$page); // Вывод страниц


include_once 'sys/inc/tfoot.php';


?>